For the complete documentation index, see llms.txt. This page is also available as Markdown.

Project

Get Project

get

Retrieves project detailed information by project ID.

Authorizations
Path parameters
idstringRequired

Project ID

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/projects/{id}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Update Project

put

Modifies the project name by project ID.

Authorizations
Path parameters
idstringRequired

Project ID

Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
put/api/v1/projects/{id}
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Change Trash Project Visibility to Visible

post

Restores trash projects using a list of project IDs.

Authorizations
Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/projects/restore
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Bookmarked Project List

get

Retrieves the list of bookmarked projects.

Use Cases

  • Check list of projects bookmarked by the user

  • Manage bookmarked projects by enterprise/individual

  • Search and filter bookmarked projects

Pagination

  • Offset-based paging (starts from 0)

  • limit: page size (min 1, max 100)

  • Check existence of the next page using hasNext in the response

Filter Conditions

  • bookmarkOwnerType: Bookmark owner type (Required)

  • projectDirectoryType: Project directory type (Required)

  • userId: Required for PERSONAL type

  • directoryId: Retrieve within a specific directory

  • targetType: User search type

  • keyword: Project name search

  • sortType: Sort criteria (default: ID_DESC)

  • status: Project status (default: ACTIVE)

Authorizations
Query parameters
userIdstringOptional

User ID (Required for PERSONAL type)

bookmarkOwnerTypestring · enumRequired

Bookmark owner type

Possible values:
projectDirectoryTypestring · enumRequired

Project directory type

Possible values:
directoryIdstringOptional

Directory ID

targetTypestring · enumOptional

User search target type

Possible values:
keywordstringOptional

Search keyword

offsetinteger · int32Required

Page number (starts from 0, offset paging)

limitinteger · int32Required

Page size (min: 1, max: 100)

sortTypestring · enumOptional

Sort Type

Default: ID_DESCPossible values:
statusstring · enumOptional

Active Status

Default: ACTIVEPossible values:
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/bookmark-projects
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Apply Project Bookmark

post

Adds or removes a bookmark on a project.

Authorizations
Body
anyOptional
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
post/api/v1/bookmark-projects
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Shared Project List

get

Retrieves the list of shared projects.

Use Cases

  • Check list of projects shared by/with the user

  • Manage projects by sharing direction

  • Search shared projects

Pagination

  • Offset-based paging (starts from 0)

  • limit: page size (min 1, max 100)

  • Check existence of the next page using hasNext in the response

Filter Conditions

  • userId: User ID (Required)

  • shareDirection: Sharing direction (Required)

  • keyword: Project name search

  • sortType: Sort criteria (default: ID_DESC)

Authorizations
Query parameters
userIdstringRequired

User ID

shareDirectionstring · enumRequired

Sharing type

Possible values:
keywordstringOptional

Project name search keyword

offsetinteger · int32Required

Page number (starts from 0, offset paging)

limitinteger · int32Required

Page size (min: 1, max: 100)

sortTypestring · enumOptional

Sort Type

Default: ID_DESCPossible values:
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/share-projects
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Project List

get

Retrieves the project list based on the project directory type.

Use Cases

  • Retrieve project list by enterprise/individual directory

  • Filter projects within a specific directory

  • Search projects by user and keyword

Pagination

  • Offset-based paging (starts from 0)

  • limit: page size (min 1, max 100)

  • Check existence of the next page using hasNext in the response

Filter Conditions

  • projectDirectoryType: Project directory type (Required)

  • userId: Required for PERSONAL type

  • directoryId: Retrieve within a specific directory

  • targetType: User search type

  • keyword: Project name search

  • sortType: Sort criteria (default: ID_DESC)

  • status: Project status (default: ACTIVE)

Authorizations
Query parameters
projectDirectoryTypestring · enumRequired

Project directory type

Possible values:
userIdstringOptional

User ID (Required for PERSONAL type)

offsetinteger · int32Required

Page number (starts from 0, offset paging)

limitinteger · int32Required

Page size (min: 1, max: 100)

directoryIdstringOptional

Directory ID

targetTypestring · enumOptional

User search target type

Possible values:
keywordstringOptional

Search keyword

sortTypestring · enumOptional

Sort Type

Default: ID_DESCPossible values:
statusstring · enumOptional

Active Status

Default: ACTIVEPossible values:
Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/projects
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Get Project Estimate

get

Retrieves the current estimate data of the project.

Authorizations
Path parameters
idstringRequired

Project ID

Responses
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

application/json
anyOptional
get/api/v1/project/{id}/estimates
200

All responses return 200 (including success and failure) (5xx is exposed only in error conditions)

No content

Last updated

Was this helpful?